# credits to adeline willey for "hope mad.mp4" cutscene, drawing of hope

define config.name = _('Stickmen - The Game')
define gui.show_name = True
define config.version = "1.0"
define gui.about = _("It's stickmen ... but A GAME!")
define gui.text_font = "GameFont.TTF"
define gui.text_size = 37

define Ethan = Character('You (Ethan)', color='#3add8c')
define Hope = Character('Hope (Ethan\'s Mom)', color='#c713be')
define Karen = Character('Karen (Conway\'s Mom)', color='#e5ff00')
define MansPonytail = Character('Man\'s Ponytail', color='#757575')

label splashscreen:
    scene black
    with Pause(1)

    show text "EPCG2 Media Presents ..." with dissolve
    with Pause(2)

    hide text with dissolve
    with Pause(1)

    show text "The BEST game you will ever play ..." with dissolve
    with Pause(2)

    hide text with dissolve
    with Pause(1)

    show text "that has stickmen ..." with dissolve
    with Pause(2)

    hide text with dissolve
    with Pause(1)

    return

label gameover:
    if ending == 'bacteria':
        scene black
        with fade
        with Pause(1)

        image ending bacteriafadein = Movie(play="images/ending backgrounds/ending bacteriafadein.mp4")
        play sound "audio/sadhit.wav"
        show ending bacteriafadein
        show text "Bacteria Ending" with dissolve
        with Pause(1.25)
        hide ending bacteriafadein

        hide text with dissolve
        with Pause(1)
        show text "You can replay the game with different choices for more unique endings" with dissolve
        with Pause(2)
        hide text with dissolve
        with Pause(1)

        return

label start:
    show text "{size=+20}Chapter 1: The Apple" with dissolve
    with Pause(3)
    hide text with dissolve
    play music "audio/celeste_and_piano.wav" volume 0.9
    default cause_of_death = 'escape this nightmare'
    Ethan "H- ... He- Hello?"
    "???" "Hello."
    Ethan "Wha-? Who is this?"
    "???" "I don't know. Who are you?"

    scene bg-gradient1
    show ethan-nervous
    with fade
    Ethan "I don't like this!"

    hide ethan-nervous
    show unk-neutral
    stop music fadeout 1.0
    "???" "Well ... I do ..."

    hide unk-neutral
    show ethan-nervous-2
    with fade
    menu:
        "Run Away":
            jump runaway
        "Wish ??? out of existence":
            jump staywithme
    return

label staywithme:
    hide ethan-nervous-2
    show ethan-nervous
    Ethan "uhhh ..."
    hide ethan-nervous
    show ethan-angy
    Ethan "I wish I may I wish I might ..."
    hide ethan-angy
    show ethan-intelligence
    Ethan "Have this unknown creature OUT of my life!"
    hide ethan-intelligence
    show ethan-angy-2
    stop music fadeout 0.5
    play music "audio/spookpiano.wav" volume 0.7
    "Your mouth suddenly stiffens"
    hide ethan-angy-2
    show ethan-nervous-2
    "You try as hard as you can but your mouth just won't open"
    hide ethan-nervous-2
    show ethan-intelligence-2
    Ethan "MMMMMMPH!"
    scene bg-black
    with fade
    $ cause_of_death = 'wish me away'

    jump afterethangotkilled

label runaway:
    hide ethan-nervous-2
    show ethan-nervous
    Ethan "uhhh ..."
    hide ethan-nervous
    show ethan-angy
    Ethan "Goodbye!"
    scene bg-black
    with fade

    play music "audio/spookpiano.wav" volume 0.7
    "Your legs feel like stone."
    "You suddenly feel as if you cannot move your arms"
    "You try as hard as you can to run but your legs still will not cooperate"
    Ethan "UGGGGGH! LET ME GO!"
    $ cause_of_death = 'run away from here'

    jump afterethangotkilled

label afterethangotkilled:
    "You feel a deepening pressure on your shoulders"
    "???" "You thought you could [cause_of_death] ... didn't you?"
    "You feel trapped in this nightmare."
    "No-one can hear you."
    "No-one can save you."
    "No-one ..."
    "Nothing exists."
    "No-one exists."
    with Pause(2)
    stop music fadeout 0.5
    "You see a light"
    scene bg-bedroom-ceiling
    with fade
    with Pause(2)
    Ethan "uuuugh. what time is it?"
    scene bg-alarm-clock
    with fade
    Ethan "Eleven already? I'd better get ready!"
    scene black
    with fade
    Ethan "but the bed is sooooo warm ..."

    image hope shake = Movie(play="hope.mp4")
    scene bg-wallcolor
    play sound "audio/surprise_hit.wav"
    show hope shake
    Hope "EEEETTTTHHHHHAAAAANNNNN!!!!!!!!"
    
    scene bg-backof-bed
    show ethan-supascared
    hide hope shake
    Ethan "AAAAAAAHHHHHH!"

    scene bg-wallcolor
    show hope-neutral
    hide ethan-supascared
    Hope "you should really get out of bed. it's almost eleven in the morning"
    
    scene bg-backof-bed
    show ethan-nervous
    hide ethan-supascared
    Ethan "OK OK! JUST ... PLEASE DON'T SCARE ME LIKE THAT"

    scene black
    "You get up and eat your breakfast when you realize ... something is off"
    "Your tooth, it hurts"
    "But you wait to tell your mom, she gets very mad very easily."
    scene black
    with Pause(2)
    scene bg-kitchen-wall
    with fade
    "You walk around the kitchen mindlessly, listening to music"
    "Then you feel a sudden pain in your tooth"
    Ethan "OW! MY TOOTH!"
    show hope-neutral
    with dissolve
    Hope "Are you okay?"
    hide hope-neutral
    show hope-semisad
    "Here comes the main twist of this game"
    "You get to play the stickmen series, but with extra storylines!"
    "So, what will you say now?"
    
    menu:
        "No, sadly no":
            jump nosadlyno
        "Yes, I'm fine":
            jump yesplzhelp

label nosadlyno:
    $ needs_help = False
    Ethan "No, sadly no"
    jump canhasappl

label yesplzhelp:
    $ needs_help = True
    Ethan "Yes! I'm fine!"
    hide hope-semisad
    show hope-neutral
    Hope "How?"
    hide hope-neutral
    show hope-semisad
    Ethan "Uh ..."
    jump canhasappl

label canhasappl:
    hide hope-semisad
    show hope-mad
    Ethan "Can I have an apple?"

    image hope shake dos = Movie(play="hopemad.mp4")
    play sound "audio/surprise_hit.wav"
    show hope shake dos
    Hope "GET IN THE CAR!!!!"
    hide hope shake dos
    Ethan "Pweeease?"
    hide hope-mad
    show hope-mad2
    Hope "Fine! Hurry up"
    hide hope-mad2
    show hope-mad
    with Pause(0.2)
    hide hope-mad
    with dissolve
    "You start walking over to the refrigerator"
    scene bg-fridge
    with fade
    Ethan "Hmmmm. Maybe I should get an orange instead ..."
    "Will you grab an orange, or stick with the apple?"
    
    menu:
        "Acquire an Apple":
            jump plusanapple
        "Obtain an Orange":
            jump plusanorange

label plusanapple:
    scene black
    with fade
    $ fruit = "apple"
    jump conwayschicken

label plusanorange:
    scene black
    with fade
    $ fruit = "orange"
    jump conwayschicken

label conwayschicken:
    with Pause(1)
    if not needs_help:
        jump dentistsoffice
    scene cc-bg0001
    show hope-happy-cc
    show cc-table
    with fade
    Ethan "Why'd you bring me here?"
    scene cc-bg0002
    hide hope-happy-cc
    hide cc-table
    show hope-talk-cc
    show cc-table
    Hope "To make you feel better since you weren't ok!"
    scene cc-bg0003
    hide hope-talk-cc
    hide cc-table
    show hope-talk2-cc
    show cc-table
    Hope "And I felt bad for yelling at you twice today"
    scene cc-bg0004
    hide hope-talk2-cc
    hide cc-table
    show hope-happy-cc
    show cc-table
    Ethan "Oh ... um, mom?"
    scene cc-bg0005
    hide hope-happy-cc
    hide cc-table
    show hope-talk-cc
    show cc-table
    Hope "What?"
    $ ending = 'bacteria'
    jump gameover
    return

label dentistsoffice:
    play music "audio/scawyloop.wav"
    scene bg-mansponytail-1
    with fade
    with Pause(0.5)
    scene bg-mansponytail-2
    MansPonytail "... you ready?"
    scene bg-ethan-atdentist
    Ethan "NO!"
    scene bg-mans-drill
    with Pause(0.5)
    $ renpy.movie_cutscene("images/drill.mp4")
    scene bg-ethan-realization
    Ethan "Oh, I got an [fruit]!"
    $ renpy.movie_cutscene("images/drill.mp4")
    if fruit == 'apple':
        scene bg-ethan-ha
        $ renpy.movie_cutscene("images/ethan eats apple.mp4")
        stop music fadeout 0.5
        Ethan "Ha!"
        scene black
        $ renpy.movie_cutscene("images/dentistoof.mp4")
        with Pause(0.5)
        jump noelectronics
    elif fruit == 'orange':
        scene bg-ethan-ha2
        $ renpy.movie_cutscene("images/ethan eats orange.mp4")
        stop music fadeout 0.5
        Ethan "Ha!"
        scene black
        scene bg-meloldyscene1
        with fade
        with Pause(1)
        scene bg-meloldyscene2
        "Melody" "Want some bacteria wipes?"
        scene bg-meloldyscene3
        Ethan "Um, ok?"
        $ ending = 'bacteria'
        jump gameover
        return

label noelectronics:
    show text "{size=+20}Congrats! You completed\nChapter 1: The Apple" with dissolve
    with Pause(3)
    hide text with dissolve
    show text "{size=+10}Don't forget to save your progress!" with dissolve
    with Pause(3)
    hide text with dissolve
    with Pause(1)
    define Ethan = Character('Ethan', color='#3add8c')
    define Conway = Character('You (Conway)', color='#dd3a42')
    scene bg-noelec
    with fade
    with Pause(2)
    scene bg-noelec2
    Karen "No Electronics!"

    scene bg-noelec3
    $ renpy.movie_cutscene("images/Chapter 2/bg-noelec-conwaymove.mp4")
    Karen "Where are you going?"
    scene bg-noelec4
    $ renpy.movie_cutscene("images/Chapter 2/bg-noelec-unplug.mp4")
    play music "audio/celeste_and_piano.wav" volume 0.5
    Karen "WHAT DID YOU DO?"
    scene bg-noelec5
    
    menu:
        "Nothing":
            jump liedaboutkill
        "Unplug Grandpa's Electronics!":
            jump killedgrandpa

label killedgrandpa:
    scene bg-noelec6
    Conway "Unplug grandpa's electronics!"
    jump ethanafterapple

label liedaboutkill:
    scene bg-noelec6
    Conway "Nothing"
    jump ethanafterapple

label ethanafterapple:
    return